Skip to content

Create a new content post

Request

Create a new content item and select what topics will include the content.

The new content will be created in the “draft” state.
This endpoint only creates the post. If applicable, an image may be added later via the appropriate endpoint. If author.user_id is provided, it will be used to determine display_name and avatar_url, overriding any values provided for display_name and avatar_url.

Response body data will be the newly created record.

Resources

Security
oauth2_as_a_user(Required scopes: content.write) or oauth2_as_a_server(Required scopes: content.write)
Bodyapplication/json

Attributes of the content to create.

content_typestring

The type of content to create

Default:"article"
Enum:"article""link""video""image"
Example:"article"
titleany

A title for the post

Example:"Example Post Title"
bodyany

The body text for the post. HTML is permitted.

Example:"Example post body"
summaryany

Post summary blurb

Example:"Example post summary"
authorobject(Content.Post.Resource.author)
featuredboolean

Whether the post is featured.

Example:true
featured_labelstring

The featured label.

Example:"A Label"
visibilitystring

An indication of the native availability of the post within the Firstup platform. If 'public', the post has a public_link_url and shares of the post should use that url as the canonical url. If 'private', the post requires user authentication to view.

Default:"private"
Enum:"private""public"
Example:"private"
targetedboolean

Works with groups: true limits visibility to listed audiences; false uses audiences for delivery only.

Example:true
groupsArray of strings

A non-empty list of audiences this post targets. Required to enable targeting; if empty or omitted, targeting will not be applied.

Example:
[ "group1", "group2" ]
channelsArray of objects

A list of topics the content will be published to.

sourceobject
imagesArray of objects(Content.Creation.Images)

An ordered list of images for this content.

Images are only validated for content of "image" type. There is a limit of ten images.

Note: The content returned immediately after content creation or modification contains will not contain the final image URIs due to additional post-processing

templateobject
curl -i -X POST \
  https://partner.socialchorus.com/v2/content \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "content_type": "article",
    "title": "Example Post Title",
    "body": "Example post body",
    "summary": "Example post summary",
    "author": {
      "avatar_url": "https://example.com/avatar.png",
      "display_name": "Some User",
      "user_id": 123
    },
    "featured": true,
    "featured_label": "A Label",
    "visibility": "private",
    "targeted": true,
    "groups": [
      "group1",
      "group2"
    ],
    "channels": [
      {
        "id": 789,
        "hidden": false
      }
    ],
    "source": {
      "post_id": "string",
      "posted_at": "string"
    },
    "images": [
      {
        "image_url": "https://image.site.com/an_image.png"
      }
    ],
    "template": {
      "id": 0
    },
    "link_url": null
  }'

Responses

Content Created

Bodyapplication/json
dataArray of objects(Content.Post.Resource)required
Response
{ "data": [ {} ] }